#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	ofBackground(90, 90, 90);
	bOutput = false;
	
}

//--------------------------------------------------------------
void testApp::update(){
}

//--------------------------------------------------------------
void testApp::draw(){
	
	if(bOutput) {
		cairo.begin("type.pdf", ofGetWidth(), ofGetHeight(), OF_OUTPUT_PDF);
	}
	
	cairo.setColor(0, 255, 255);		// set the color
	cairo.setTypeFace("Arial");			// this can be any font installed on the machine
	
	// when just rendering we are using ofDrawBitmapString(...) but when we
	// output you will ge the type that you entered above... (ghetto for now)
	
	cairo.fill();
	cairo.drawString("HELLO WORLD", 50, ofGetHeight()/2, 125);	
	
	cairo.noFill();
	cairo.drawString("HELLO WORLD", 50, (ofGetHeight()/2)+130, 125);	
	
	
	
	if(bOutput) {
		bOutput =false;
		cairo.end();
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){
	if(key == ' ') {
		bOutput = true;
	}
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
	
}

